## Transport Layer Decodes

### Class UDP

Provides access to fields in a UDP header.

Instance Variables
src_port | udp.src_port -> anInteger
| Source Port (16-bit)
dst_port | udp.dst_port-> anInteger
| Destination Port (16-bit)
len | udp.len -> anInteger
| UDP length, i.e. header + payload
checksum | udp.checksum -> anInteger
| UDP Checksum
| TCP Checksum
payload | udp.payload -> aPayloadObject
| None if udp had no payload, otherwise an object containing the packet's TCP payload

Nevil Brownlee
Sat, 15 Mar 14 (NZDT)